Skip to main content
PUT
Update address detail

Authorizations

Authorization
string
header
required

Access token

Path Parameters

address_id
string
required

address id

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9_-]{1,128}$
id
string
required

customer id

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9_-]{1,128}$

Body

application/json

Replace the address. Supply all required address fields; omitted default flags reset to false and omitted country_code resets to +91.

first_name
string
required
Required string length: 1 - 128
phone
string
required

Ten digits. Use country_code for the calling prefix.

Maximum string length: 16
Pattern: ^\d{10}$
address_line1
string
required
Required string length: 1 - 256
pincode
string
required
Required string length: 6
city
string
required
Required string length: 1 - 128
state
string
required
Required string length: 1 - 128
country
string
required
Required string length: 1 - 128
last_name
string | null
Maximum string length: 128
country_code
string
default:+91
Maximum string length: 8
Pattern: ^\+?\d{1,4}$
email
Maximum string length: 128
address_line2
string | null
Maximum string length: 256
landmark
string | null
Maximum string length: 128
gstin
string | null
Maximum string length: 16
Pattern: ^$|^[0-9]{2}[A-Z]{5}[0-9]{4}[A-Z][1-9A-Z]Z[0-9A-Z]$
business_name
string | null

Use in shipping details only for third party.

Maximum string length: 128
is_default_billing
boolean
default:false
is_default_shipping
boolean
default:false
is_primary
boolean

Whether this is the customer’s primary address.

Response

OK

message
string
required
success
boolean
required
content
object
required